To: linux-m68k@phil.uni-sb.de
Subject: L68K: 2.1.61 and 2.1.64
From: James Troup <J.J.Troup@comp.brad.ac.uk>
Date: 16 Nov 1997 15:39:46 +0000
Sender: owner-linux-m68k@phil.uni-sb.de

Hi,

A patched 2.1.61 seems to run okay on my Falcon, however even with
Andreas' misc patch printing is still hosed for me.  Unfortunately I
can't provide any details because the crash is the lock up type; I'll
really will try and get a serial cable from somewhere RSN and put the
DOS box to some use.

One other thing is that I get this whenever mounting a floppy:

07:04:09@transmet|~ $mount /floppy; rm -v /floppy/*; cp -iv status.gz /floppy/ 
Unable to load NLS charset cp437
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/floppy/xaa status.gz -> /floppy/status.gz 
07:04:25@transmet|~ $

Say what?  What's the connection between msdos floppies and NLS?

For 2.1.64, a couple of patches: The first patch is for plain 2.1.64
and is fixes up nvram.c (part of Andreas' misc patch for 2.1.61 was
omitted).  The second is to Roman's recently posted (2.1.61) misc
patch, the way the __initfunc was conditionalized failed miserably for
me, so I had to resort to this.

--- linux/drivers/char/nvram.c.orig	Sun Nov 16 14:46:50 1997
+++ linux/drivers/char/nvram.c	Sun Nov 16 14:47:43 1997
@@ -250,8 +250,8 @@
 	return( tmp - buf );
 }
 
-static long nvram_write( struct inode * inode, struct file * file,
-						 const char * buf, unsigned long count )
+static ssize_t nvram_write(struct file *file, const char *buf, size_t count,
+			   loff_t *ppos)
 {
 	unsigned long flags;
 	unsigned i = *ppos;
--- linux/arch/m68k/atari/config.c.orig	Sun Nov 16 15:11:04 1997
+++ linux/arch/m68k/atari/config.c	Sun Nov 16 15:12:24 1997
@@ -1026,12 +1026,11 @@
 /* The following two functions do a quick'n'dirty initialization of the MFP or
  * SCC serial ports. They're used by the debugging interface, kgdb, and the
  * serial console code. */
-#ifndef CONFIG_SERIAL_CONSOLE
-__initfunc(static
-#endif
+
+#ifndef CONFIG_SERIAL_CONSOLE 
+__initfunc(static void atari_init_mfp_port( int cflag ))
+#else
 void atari_init_mfp_port( int cflag )
-#ifndef CONFIG_SERIAL_CONSOLE
-)
 #endif
 {
     /* timer values for 1200...115200 bps; > 38400 select 110, 134, or 150
@@ -1075,12 +1074,10 @@
 	    MFPDELAY();				\
     } while(0)
     
-#ifndef CONFIG_SERIAL_CONSOLE
-__initfunc(static
-#endif
+#ifndef CONFIG_SERIAL_CONSOLE 
+__initfunc(static void atari_init_scc_port( int cflag ))
+#else
 void atari_init_scc_port( int cflag )
-#ifndef CONFIG_SERIAL_CONSOLE
-)
 #endif
 {
     extern int atari_SCC_reset_done;


-- 
James
